{% extends 'base.html.twig' %}

{% block title %}Matiere index{% endblock %}

{% block body %}
    <h1>Matiere index</h1> 
    <a href="{{ path('matiere_new') }}">Create new</a>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Code</th>
                <th>CreatedAt</th>
                <th>UpdatedAt</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for matiere in matieres %}
            <tr>
                <td>{{ matiere.id }}</td>
                <td>{{ matiere.code }}</td>
                <td>{{ matiere.createdAt ? matiere.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ matiere.updatedAt ? matiere.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('matiere_show', {'id': matiere.id}) }}">show</a>
                    <a href="{{ path('matiere_edit', {'id': matiere.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
